Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyPackageDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

- All Implemented Interfaces and Traits:
    GroovyPackageDoc

      public class SimpleGroovyPackageDoc
      extends SimpleGroovyDoc
      implements GroovyPackageDoc

  Default GroovyPackageDoc implementation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyPackageDoc(String name)` Creates a documented package with the supplied name.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyClassDoc[]` | `allClasses()` * All included classes and interfaces in this package. * * Returns: array of classes and interfaces found or empty array if none found
    `` | `public GroovyClassDoc[]` | `allClasses(boolean arg0)` * All classes and interfaces in this package optionally * limited to just the included ones. * * Parameters: `filter` - Specifying true filters according to the specified access modifier option. * Specifying false includes all classes and interfaces regardless of access modifier option. * Returns: array of classes and interfaces found or empty array if none found
    `` | `public String` | `description()` * Description of the package. * * Returns: the description
    `` | `public GroovyClassDoc[]` | `enums()` * Included enum types in this package. * * Returns: array of enum types found or empty array if none found
    `` | `public GroovyClassDoc[]` | `errors()` * Included errors in this package. * * Returns: array of errors found or empty array if none found
    `` | `public GroovyClassDoc[]` | `exceptions()` * Included exceptions in this package. * * Returns: array of exceptions found or empty array if none found
    `` | `public GroovyClassDoc` | `findClass(String arg0)` * Find a class or interface within this package. * * Parameters: `className` - the name of the class to find * Returns: ClassDoc of found class or interface, or null if not found
    `` | `public String` | `getRelativeRootPath()`
    `` | `public GroovyClassDoc[]` | `interfaces()` * Included interfaces in this package. * * Returns: array of interfaces found or empty array if none found
    `` | `public String` | `nameWithDots()`
    `` | `public GroovyClassDoc[]` | `ordinaryClasses()` * Included ordinary classes in this package. * * Returns: array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found
    `` | `public void` | `putAll(Map<String, GroovyClassDoc> classes)` Adds all supplied classes to this package and back-links them to the package.
    `` | `public void` | `setDescription(String description)` Sets the package description text.
    `` | `public void` | `setSummary(String summary)` Sets the package summary text.
    `` | `public String` | `summary()` * The one-sentence summary for the package derived from the beginning of the description. * * Returns: the summary

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyPackageDoc(String name)

      Creates a documented package with the supplied name.

      Parameters:
        `name` - the package name

  - ### Method Detail

    - #### public GroovyClassDoc[] allClasses()

      * All included classes and interfaces in this package. * *

      Returns:
        array of classes and interfaces found or empty array if none found

    - #### public GroovyClassDoc[] allClasses(boolean arg0)

      * All classes and interfaces in this package optionally * limited to just the included ones. * *

      Parameters:
        `filter` - Specifying true filters according to the specified access modifier option. * Specifying false includes all classes and interfaces regardless of access modifier option. *
      Returns:
        array of classes and interfaces found or empty array if none found

    - #### public String description()

      * Description of the package. * *

      Returns:
        the description

    - #### public GroovyClassDoc[] enums()

      * Included enum types in this package. * *

      Returns:
        array of enum types found or empty array if none found

    - #### public GroovyClassDoc[] errors()

      * Included errors in this package. * *

      Returns:
        array of errors found or empty array if none found

    - #### public GroovyClassDoc[] exceptions()

      * Included exceptions in this package. * *

      Returns:
        array of exceptions found or empty array if none found

    - #### public GroovyClassDoc findClass(String arg0)

      * Find a class or interface within this package. * *

      Parameters:
        `className` - the name of the class to find *
      Returns:
        ClassDoc of found class or interface, or null if not found

    - #### public String getRelativeRootPath()

    - #### public GroovyClassDoc[] interfaces()

      * Included interfaces in this package. * *

      Returns:
        array of interfaces found or empty array if none found

    - #### public String nameWithDots()

    - #### public GroovyClassDoc[] ordinaryClasses()

      * Included ordinary classes in this package. * *

      Returns:
        array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

    - #### public void putAll(Map<String, GroovyClassDoc> classes)

      Adds all supplied classes to this package and back-links them to the package.

      Parameters:
        `classes` - the classes to add

    - #### public void setDescription(String description)

      Sets the package description text.

      Parameters:
        `description` - the package description

    - #### public void setSummary(String summary)

      Sets the package summary text.

      Parameters:
        `summary` - the package summary

    - #### public String summary()

      * The one-sentence summary for the package derived from the beginning of the description. * *

      Returns:
        the summary